%define	name	adonthell
%define	version	0.3.3
%define release	3mdk

Summary:	A 2D graphical RPG game.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Adventure
Source0:	http://freesoftware.fsf.org/download/adonthell/%{name}-%{version}.tar.bz2
Patch0:		%{name}-makefile.patch.bz2
#We do this instead of specifying flags with CXXFLAGS, since this will override
#needed flags, and we don't want to define any other flags than $RPM_OPT_FLAGS
Patch1:		%{name}-optflags.patch.bz2
URL:		http://adonthell.linuxgames.com
BuildRequires:	libvorbis-devel libSDL-devel libpython-devel zlib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
A 2D, graphical, single player role playing game inspired by good old 
console RPGs from the SNES like Secret of Mana or Chrono Trigger. 

This package contains the Adonthell engine. You will also need a game
package to play Adonthell. For this release, the official package is 
Waste's Edge.

%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
#won't compile with -O3
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -O2"
%configure	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall bindir=$RPM_BUILD_ROOT%{_gamesbindir} gamedatadir=$RPM_BUILD_ROOT%{_gamesdatadir}/%{name}
strip $RPM_BUILD_ROOT%{_gamesbindir}/adonthell
install -m 644 src/modules/adonthell.py $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/modules/adonthell.py
install -m 644 src/modules/dialogue.py $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/modules/dialogue.py

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS ChangeLog COPYING NEWS FULLSCREEN.howto README
%{_gamesbindir}/%{name}
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/*

%changelog
* Fri Aug 08 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.3.3-3mdk
- rebuild for new perl

* Tue Mar 11 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.3.3-2mdk
- Added zlib-devel to BuildRequires

* Thu Nov 14 2002 Per yvind Karlsen <peroyvind@sintrax.net> 0.3.3-1mdk
- First mdk release
